name: postgresql
summary: "PostgreSQL object-relational SQL database (supported version)"
description: |
  PostgreSQL is a powerful, open source object-relational database system.
  It has more than 15 years of active development and a proven
  architecture that has earned it a strong reputation for reliability,
  data integrity, and correctness. It is fully ACID compliant, has full
  support for foreign keys, joins, views, triggers, and stored procedures
  (in multiple languages). It includes most SQL:2008 data types, including
  INTEGER, NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP.
  It also supports storage of binary large objects, including pictures,
  sounds, or video. It has native programming interfaces for C/C++, Java,
  .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and exceptional
  documentation (http://www.postgresql.org/docs/manuals/).
maintainer: Stuart Bishop <stuart.bishop@canonical.com>
categories:
    - databases
provides:
  db:
    interface: pgsql
    optional: true
  db-admin:
    interface: pgsql
    optional: true
  nrpe-external-master:
    interface: nrpe-external-master
    scope: container
  data:
    interface: block-storage
    scope: container
    optional: true
  master:
    interface: pgreplication
    optional: true
  # We do not yet support slaving a PostgreSQL service to another
  # PostgreSQL service.
  # replica:
  #   interface: pgreplication
  #   optional: true
requires:
  persistent-storage:
    interface: directory-path
  syslog:
    interface: syslog
peers:
  replication:
    interface: pgpeer
